"use strict";

exports.__esModule = true;
exports.default = void 0;

var React = /*#__PURE__*/_interopRequireWildcard( /*#__PURE__*/require("react"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function useToggle( // @ts-ignore
off = false, // @ts-ignore
on = true, defaultValue = off) {
  /* istanbul ignore next */
  if (typeof process !== 'undefined' && process.env.NODE_ENV !== 'production') {
    if (defaultValue !== on && defaultValue !== off) {
      throw new Error(`'defaultValue' must be one of either the 'off' or 'on' value. ` + `'${defaultValue}' was not equal to '${off}' or '${on}'.`);
    }
  }

  const [value, setValue] = React.useState(defaultValue);

  function _ref(current) {
    return current === off ? on : off;
  }

  return [value, React.useCallback(() => setValue(_ref), [on, off])];
}

var _default = useToggle;
exports.default = _default;